Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.crypt

# Interface EncryptionPlugin

All Known Implementing Classes:
  `Arc4EncryptionPlugin`, `ChaChaEncryptionPlugin`

public interface EncryptionPlugin
Plugin for Firebird wire encryption.

NOTE: This plugin is currently only internal to Jaybird, consider the API as unstable.

Since:
  4.0
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`EncryptionIdentifier`
`encryptionIdentifier()`
`EncryptionInitInfo`
`initializeEncryption()`
Initializes the encryption for incoming and outgoing communication.

## Method Details

### encryptionIdentifier

EncryptionIdentifier encryptionIdentifier()

Returns:
  Encryption identifier

### initializeEncryption

EncryptionInitInfo initializeEncryption()
Initializes the encryption for incoming and outgoing communication.

Returns:
  Object with the result of initialization